﻿using MindFusion.Diagramming.Wpf;
using MindFusion.Diagramming.Wpf.Export;
using System.IO;
using System.Windows;
using System.Windows.Media;

namespace MindfusionNewVersionIssues
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var diagram = DiagramView.Diagram;


            DiagramView.ZoomFactor = 100;

            DiagramView.Diagram = diagram;

            DiagramView.CustomBehavior = new MindfusionMoveNodesBehavior(DiagramView);

            var link = new DiagramLink();
            link.StartPoint = new Point(0, 0);
            link.EndPoint = new Point(1000, 1000);
            link.ZIndex = 100;
            link.StrokeThickness = 20;
            link.StrokeDashStyle = DashStyles.DashDotDot;
            link.HeadShape = ArrowHeads.Arrow;
            link.HeadShapeSize = 20;

            DiagramView.Diagram.Items.Add(link);
        }

        private void ExportDiagram(object sender, RoutedEventArgs e)
        {
            var svgExporter = new SvgExporter();

            using var ms = new MemoryStream();
            svgExporter.Export(DiagramView, "c:\\temp\\resources.svg");
        }
    }
}